Package org.gradle.plugins.ide.idea.model

# Class PathFactory

java.lang.Object
org.gradle.plugins.ide.idea.model.PathFactory

public class PathFactory extends Object
Path Factory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PathFactory`
  `addPathVariable(String name, File dir)`
  `FilePath`
  `path(File file)`
  Creates a path for the given file.
  `FilePath`
  `path(File file, boolean useFileScheme)`
  Creates a path for the given file.
  `Path`
  `path(String url)`
  Creates a path for the given URL.
  `Path`
  `path(String url, String relPath)`
  Creates a path for the given URL.
  `FilePath`
  `relativePath(String pathVar, File file)`
  Creates a path relative to the given path variable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PathFactory

    public PathFactory()

- ## Method Details

  - ### addPathVariable

    public PathFactory addPathVariable(String name, File dir)

  - ### path

    public FilePath path(File file)
    Creates a path for the given file.

  - ### path

    public FilePath path(File file, boolean useFileScheme)
    Creates a path for the given file.
    Parameters:
      `file` - The file to generate a path for
      `useFileScheme` - Whether 'file://' prefixed URI should be used even for JAR files

  - ### relativePath

    public FilePath relativePath(String pathVar, File file)
    Creates a path relative to the given path variable.

  - ### path

    public Path path(String url)
    Creates a path for the given URL.

  - ### path

    public Path path(String url, String relPath)
    Creates a path for the given URL.